---
sourceDocument: Australia API Reference
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/de-DE/api-reference

 Release :

    - australia

ft:locale :

    - de-DE

ft:publication_title :

    - Australia API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# WSD Extra Service Request API

# WSD Extra Service Request API {#ariaid-title1}

* Freigeben Version: Australia
* 
* Aktualisiert 12. März 2026
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 4 Minuten Lesedauer

The Workplace Service Delivery (WSD) Extra Service Request API provides endpoints to manage extra service requests for reservations.
To access this API, the caller must have the sn_wsd_core.workplace_user role.

This API runs in the `sn_wsd_rsv`
namespace.

For additional information on Workplace Reservation Management, see [Workplace Reservation
Management](https://www.servicenow.com/docs/access?context=workplace-rsv-mgmt-feat&version=australia&pubname=australia-employee-service-management&ft:locale=en-US).

## WSD Extra Service - GET /sn_wsd_rsv/extra_service/list_loc_layouts {#ariaid-title2}

Returns the details about the associated location layouts for a specified workplace
location.

### URL format

Versioned URL:
/api/sn_wsd_rsv/{api_version}/extra_service/list_loc_layouts

Default URL:
/api/sn_wsd_rsv/extra_service/list_loc_layouts  
Hinweis:  
Available versions are specified in the [REST API Explorer](https://servicenow-prod.fluidtopics.net/urJGeqQ4zU~Vfw53IpWUIw "In this tutorial you will use the REST API Explorer to test the ServiceNow REST APIs."). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://servicenow-prod.fluidtopics.net/eAgQ546WEOagLzEOTr_eqQ "The scripted REST API feature allows application developers to build custom web service APIs.").

### Supported request parameters

{#wsd_ex_serv-GET-list_loc_layouts__entry__2}{#wsd_ex_serv-GET-list_loc_layouts__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
[Tabelle : 1. Path parameters]

{#wsd_ex_serv-GET-list_loc_layouts__entry__6}{#wsd_ex_serv-GET-list_loc_layouts__location-reserv-entry}

| Name | Description |
|-|-|
| location | Required. Sys_id of the workplace location for which to return the location layout details. Data type: String Table: Workplace Location \[sn_wsd_core_workplace_location\] |
[Tabelle : 2. Query parameters]

{#wsd_ex_serv-GET-list_loc_layouts__entry__10}

| Name | Description |
|-|-|
| None | Required. |
[Tabelle : 3. Request body parameters]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#wsd_ex_serv-GET-list_loc_layouts__entry__14}{#wsd_ex_serv-GET-list_loc_layouts__accept-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
[Tabelle : 4. Request headers]

{#wsd_ex_serv-GET-list_loc_layouts__entry__18}

| Header | Description |
|-|-|
| None |   |
[Tabelle : 5. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#wsd_ex_serv-GET-list_loc_layouts__entry__22}{#wsd_ex_serv-GET-list_loc_layouts__entry-200-status-code}{#wsd_ex_serv-GET-list_loc_layouts__entry-400-status-code}{#wsd_ex_serv-GET-list_loc_layouts__entry-401-status-code}{#wsd_ex_serv-GET-list_loc_layouts__entry-500-status-code}

| Status code | Description |
|-|-|
| 200 | Successful. The request was successfully processed. |
| 400 | Bad Request. A bad request type or malformed request was detected. |
| 401 | Unauthorized. The user credentials are incorrect or have not been passed. |
| 500 | Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error. |
[Tabelle : 6. Status codes]

### Response body parameters

{#wsd_ex_serv-GET-list_loc_layouts__entry__32}

| Name | Description |
|-|-|
| result | List of the layouts associated with the specified workplace location. Data type: Array of Objects "result": [ { "capacity": Number, "cleanup_duration": "String", "image": {Object}, "is_default": Boolean, "max_capacity": Number, "name": "String", "preparation_duration": "String", "short_description": "String", "sys_id": "String" } ] |
| result.capacity | Number of people that will attend the meeting. Data type: Number |
| result.cleanup_duration | Amount of time it takes to clean the reservable for this layout. Data type: Number Unit: Milliseconds |
| result.image | Details about an image that represents the layout for the associated reservable. Data type: Object "image": { "link": "String", "sys_id": "String" } Table: Images \[db_image\] |
| result.image.link | Link to an image that represents the layout for this reservable. Data type: String Table: Images \[db_image\] |
| result.image.sys_id | Sys_id of the associated image record. Data type: String |
| result.is_default | Flag that indicates whether the associated layout is the default for the reservable. Valid values: * true: Default. * false: Not default. Data type: Boolean |
| result.name | Name of the location layout. Data type: String |
| result.max_capacity | Maximum number of people that the layout associated with the reservable can accommodate. Data type: Number |
| result.preparation_duration | Amount of time it takes to prepare the associated location layout. Data type: Number Unit: Milliseconds |
| result.short_description | Brief description of the location layout. Data type: String |
| result.sys_id | Sys_id of the location layout. Data type: String Table: Layout \[sn_wsd_rsv_layout\] |
[ ]

### cURL request

The following code example shows how to call this endpoint.

    "http://instance.servicenow.com/api/sn_wsd_rsv/extra_service/list_loc_layouts&location=d2716d4adb7210106c731dcd13961994" \
    --request GET \
    --header "Accept:application/json" \
    --user "username":"password"

Return results:

    {
      "result": [
        {
          "sys_id": "f4fee556534301103cf7ddeeff7b12ed",
          "name": "Test",
          "short_description": "test",
          "is_default": false,
          "image": {
            "sys_id": "9648a7c5531301103cf7ddeeff7b1286",
            "link": "9648a7c5531301103cf7ddeeff7b1286.iix"
          },
          "capacity": null,
          "max_capacity": null,
          "preparation_duration": 172800000,
          "cleanup_duration": 86400000
        }
      ]
    }

## WSD Extra Service - GET /api/sn_wsd_rsv/extra_service/list_loc_standard_services {#ariaid-title3}

Returns the details about the associated standard services for a specified workplace
location.

### URL format

Versioned URL:
/api/sn_wsd_rsv/{api_version}/extra_service/list_loc_standard_services

Default URL:
/api/sn_wsd_rsv/extra_service/list_loc_standard_services  
Hinweis:  
Available versions are specified in the [REST API Explorer](https://servicenow-prod.fluidtopics.net/urJGeqQ4zU~Vfw53IpWUIw "In this tutorial you will use the REST API Explorer to test the ServiceNow REST APIs."). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://servicenow-prod.fluidtopics.net/eAgQ546WEOagLzEOTr_eqQ "The scripted REST API feature allows application developers to build custom web service APIs.").

### Supported request parameters

{#wsd_ex_serv-GET-list_loc_std_srv__entry__2}{#wsd_ex_serv-GET-list_loc_std_srv__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
[Tabelle : 7. Path parameters]

{#wsd_ex_serv-GET-list_loc_std_srv__entry__6}

| Name | Description |
|-|-|
| location | Required. Sys_id of the workplace location for which to return the location layout standard services. Data type: String Table: Workplace Location \[sn_wsd_core_workplace_location\] |
[Tabelle : 8. Query parameters]

{#wsd_ex_serv-GET-list_loc_std_srv__entry__10}

| Name | Description |
|-|-|
| None |   |
[Tabelle : 9. Request body parameters]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#wsd_ex_serv-GET-list_loc_std_srv__entry__14}{#wsd_ex_serv-GET-list_loc_std_srv__accept-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
[Tabelle : 10. Request headers]

{#wsd_ex_serv-GET-list_loc_std_srv__entry__18}

| Header | Description |
|-|-|
| None |   |
[Tabelle : 11. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#wsd_ex_serv-GET-list_loc_std_srv__entry__22}{#wsd_ex_serv-GET-list_loc_std_srv__entry-200-status-code}{#wsd_ex_serv-GET-list_loc_std_srv__entry-400-status-code}{#wsd_ex_serv-GET-list_loc_std_srv__entry-401-status-code}{#wsd_ex_serv-GET-list_loc_std_srv__entry-500-status-code}

| Status code | Description |
|-|-|
| 200 | Successful. The request was successfully processed. |
| 400 | Bad Request. A bad request type or malformed request was detected. |
| 401 | Unauthorized. The user credentials are incorrect or have not been passed. |
| 500 | Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error. |
[Tabelle : 12. Status codes]

### Response body parameters

{#wsd_ex_serv-GET-list_loc_std_srv__entry__32}{#wsd_ex_serv-GET-list_loc_std_srv__std_serv_font-awesome_icon-reserv-entry}{#wsd_ex_serv-GET-list_loc_std_srv__std_serv_name-reserv-entry}{#wsd_ex_serv-GET-list_loc_std_srv__std_serv_short_description-reserv-entry}{#wsd_ex_serv-GET-list_loc_std_srv__std_serv_sys_id-reserv-entry}

| Name | Description |
|-|-|
| result.standard_services | Associated standard services, such as flip chart, projector screen, and whiteboard and markers. Data type: Array of Objects "standard_services": [ { "font_awesome_icon": "String", "name": "String", "short_description": "String", "sys_id": "String" } ] |
| result.standard_services.font_awesome_icon | Name of the thumbnail icon associated with the standard service. Data type: String |
| result.standard_services.name | Name of the standard service. Data type: String |
| result.standard_services.short_description | Brief description of the standard service. Data type: String |
| result.standard_services.sys_id | Sys_id of the standard service record. Data type: String Table: Standard Service \[sn_wsd_rsv_standard_service\] |
[ ]

### cURL request

The following code example shows how to call this endpoint to obtain the standard
services.

    "http://instance.servicenow.com/api/sn_wsd_rsv/extra_service/list_loc_standard_services&location=d2716d4adb7210106c731dcd13961994" \
    --request GET \
    --header "Accept:application/json" \
    --user "username":"password"

Return results:

    {
      "result": [
        {
          "sys_id": "9b01458edb7650106c731dcd13961945",
          "name": "Flip chart",
          "short_description": "Flip chart with paper sheets",
          "font_awesome_icon": "fa-calendar-o"
        },
        {
          "sys_id": "abd0c18edb7650106c731dcd13961965",
          "name": "Projector screen",
          "short_description": "Connect laptop to screen (HDMI and DVI)",
          "font_awesome_icon": "fa-caret-square-o-right"
        },
        {
          "sys_id": "9841858edb7650106c731dcd1396193c",
          "name": "Whiteboard",
          "short_description": "Whiteboard and markers",
          "font_awesome_icon": "fa-pencil-square-o"
        }
      ]
    }


